## ros-rolling-hardware-interface 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(hardware_interface)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(control_msgs REQUIRED)
find_package(pluginlib REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(tinyxml2_vendor REQUIRED)
find_package(TinyXML2 REQUIRED)

add_library(
  hardware_interface
  SHARED
  src/actuator.cpp
  src/component_parser.cpp
  src/resource_manager.cpp
  src/sensor.cpp
  src/system.cpp
)
target_include_directories(
  hardware_interface
  PUBLIC
  include
)
ament_target_dependencies(
  hardware_interface
  control_msgs
  pluginlib
  rclcpp_lifecycle
  rcutils
  rcpputils
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(hardware_interface PRIVATE "HARDWARE_INTERFACE_BUILDING_DLL")

# Fake components
add_library(
  fake_components
  SHARED
  src/fake_components/generic_system.cpp
)
target_include_directories(
  fake_components
  PUBLIC
  include
)
target_link_libraries(
  fake_components
  hardware_interface
)
ament_target_dependencies(
  fake_components
  pluginlib
  rcpputils
)
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(fake_components PRIVATE "HARDWARE_INTERFACE_BUILDING_DLL")

pluginlib_export_plugin_description_file(
  hardware_interface fake_components_plugin_description.xml)

install(
  DIRECTORY include/
  DESTINATION include
)

install(
  TARGETS
  fake_components
  hardware_interface
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_uncrustify
    ament_cmake_cpplint
  )
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gmock REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(test_macros test/test_macros.cpp)
  target_include_directories(test_macros PRIVATE include)
  ament_target_dependencies(test_macros rcpputils)

  ament_add_gmock(test_joint_handle test/test_handle.cpp)
  target_link_libraries(test_joint_handle hardware_interface)
  ament_target_dependencies(test_joint_handle rcpputils)

  ament_add_gmock(test_component_interfaces test/test_component_interfaces.cpp)
  target_link_libraries(test_component_interfaces hardware_interface)

  ament_add_gmock(test_component_parser test/test_component_parser.cpp)
  target_link_libraries(test_component_parser hardware_interface)
  ament_target_dependencies(test_component_parser ros2_control_test_assets)

  add_library(test_components SHARED
    test/test_components/test_actuator.cpp
    test/test_components/test_sensor.cpp
    test/test_components/test_system.cpp)
  target_link_libraries(test_components hardware_interface)
  ament_target_dependencies(test_components
    pluginlib)
  install(TARGETS test_components
    DESTINATION lib
  )
  pluginlib_export_plugin_description_file(
    hardware_interface test/test_components/test_components.xml)

  add_library(test_hardware_components SHARED
  test/test_hardware_components/test_single_joint_actuator.cpp
  test/test_hardware_components/test_force_torque_sensor.cpp
  test/test_hardware_components/test_two_joint_system.cpp
  test/test_hardware_components/test_system_with_command_modes.cpp
  )
  target_link_libraries(test_hardware_components hardware_interface)
  ament_target_dependencies(test_hardware_components
    pluginlib)
  install(TARGETS test_hardware_components
    DESTINATION lib
  )
  pluginlib_export_plugin_description_file(
    hardware_interface test/test_hardware_components/test_hardware_components.xml
  )

  ament_add_gmock(test_resource_manager test/test_resource_manager.cpp)
  target_link_libraries(test_resource_manager hardware_interface)
  ament_target_dependencies(test_resource_manager ros2_control_test_assets)

  ament_add_gmock(test_generic_system test/fake_components/test_generic_system.cpp)
  target_include_directories(test_generic_system PRIVATE include)
  target_link_libraries(test_generic_system hardware_interface)
  ament_target_dependencies(test_generic_system
    pluginlib
    ros2_control_test_assets
  )
endif()

ament_export_include_directories(
  include
)
ament_export_libraries(
  fake_components
  hardware_interface
)
ament_export_dependencies(
  control_msgs
  pluginlib
  rcpputils
  tinyxml2_vendor
  TinyXML2
)
ament_package()

=== debian/changelog ===
ros-rolling-hardware-interface (2.1.0-1focal) focal; urgency=high

  * Removing 'auto' from function definition to support pre c++ 20 (#608 <https://github.com/ros-controls/ros2_control/issues/608>)
  * Support of "initial_value" for the 'FakeSystem' (#598 <https://github.com/ros-controls/ros2_control/issues/598>)
  * Contributors: bailaC, Denis Štogl

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-hardware-interface (2.0.0-1focal) focal; urgency=high

  * Adding support for 'initial_value' parameter. (#593 <https://github.com/ros-controls/ros2_control/issues/593>)
  * fix copy paste error in documentation (#594 <https://github.com/ros-controls/ros2_control/issues/594>)
  * Use lambda functions in ros2_control generic_system for repetitive tasks (#579 <https://github.com/ros-controls/ros2_control/issues/579>)
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
  * Extend FakeHardware to support <gpio>-tag (#574 <https://github.com/ros-controls/ros2_control/issues/574>)
  * Contributors: Michael, bailaC, Denis Štogl

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-hardware-interface (1.2.0-1focal) focal; urgency=high

  * Import and Initialize components (#566 <https://github.com/ros-controls/ros2_control/issues/566>)
  * Contributors: Alejandro Hernández Cordero

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 05 Nov 2021 00:00:00 -0000

ros-rolling-hardware-interface (1.1.0-1focal) focal; urgency=high

  * Handle errors of hardware that happen on read and write. (#546 <https://github.com/ros-controls/ros2_control/issues/546>)
  * Contributors: Denis Štogl, Mathias Aarbo

 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 24 Oct 2021 23:00:00 -0000

ros-rolling-hardware-interface (1.0.0-1focal) focal; urgency=high

  * Hardware components extension for lifecycle support (#503 <https://github.com/ros-controls/ros2_control/issues/503>)
  * add M_PI macro for windows in test_component_parser.cpp (#502 <https://github.com/ros-controls/ros2_control/issues/502>)
  * Extend GenericSystem by adding mapping of position with offset to custom interface. (#469 <https://github.com/ros-controls/ros2_control/issues/469>)
  * Remove BOOST compiler definitions for pluginlib from CMakeLists (#514 <https://github.com/ros-controls/ros2_control/issues/514>)
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * Contributors: Bence Magyar, Denis Štogl, dzyGIT

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 28 Sep 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.8.0-1focal) focal; urgency=high

  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Fixup doc typo (#492 <https://github.com/ros-controls/ros2_control/issues/492>)
  * Add docs for fake components (#466 <https://github.com/ros-controls/ros2_control/issues/466>)
  * sort interfaces in resource manager (#483 <https://github.com/ros-controls/ros2_control/issues/483>)
  * fix format (#484 <https://github.com/ros-controls/ros2_control/issues/484>)
  * Transmission parsing v2 (#471 <https://github.com/ros-controls/ros2_control/issues/471>)
    * move parsing responsibility to hardware_interface
    * parse transmission type
    * Cleanup unused parser
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Extended GenericSystem with state offset options for testing some special control cases. (#350 <https://github.com/ros-controls/ros2_control/issues/350>)
    * Extended GenericSystem with state offset options for testing some special control cases.
    * Better parameter name
    * Apply offset only to position interfaces.
  * Added GPIO parsing and test (#436 <https://github.com/ros-controls/ros2_control/issues/436>)
  * Fixes for windows (#443 <https://github.com/ros-controls/ros2_control/issues/443>)
    * Fix building on windows
    * Fix MSVC linker error when building tests
    * Fix hang when loading controller on windows
    * Use better log for configuring controller
    * Be consistent with visibility control
    * Use try_lock throw exception on failure
  * Contributors: Akash, Bence Magyar, Denis Štogl, Karsten Knese, Mathias Arbo, Jafar Abdi

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 27 Aug 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.7.1-1focal) focal; urgency=high

  * [FakeSystem] Set default command interface to NaN (#424 <https://github.com/ros-controls/ros2_control/issues/424>)
  * Contributors: Denis Štogl, Bence Magyar

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 14 Jun 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.7.0-1focal) focal; urgency=high

  * Add FTS as first semantic components to simplify controllers. (#370 <https://github.com/ros-controls/ros2_control/issues/370>)
  * Contributors: bailaC, Denis Štogl, Jordan Palacios

 -- Karsten Knese <karsten@osrfoundation.org>  Sat, 05 Jun 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.6.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 30 May 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.6.0-1focal) focal; urgency=high

  * Remove the with_value_ptr and class templatization for ReadOnlyHandle (#379 <https://github.com/ros-controls/ros2_control/issues/379>)
  * fake_components: Add mimic joint to generic system (#409 <https://github.com/ros-controls/ros2_control/issues/409>)
  * List controller claimed interfaces (#407 <https://github.com/ros-controls/ros2_control/issues/407>)
  * Contributors: El Jawad Alaa, Jafar Abdi, Jordan Palacios, Bence Magyar

 -- Karsten Knese <karsten@osrfoundation.org>  Sat, 22 May 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.5.0-1focal) focal; urgency=high



=== debian/control ===
Source: ros-rolling-hardware-interface
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-control-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-ros2-control-test-assets, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-control-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
Description: ROS2 ros_control hardware interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-hardware-interface//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-hardware-interface 3.18.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(hardware_interface LANGUAGES CXX)

if(CMAKE_CXX_COMPILER_ID MATCHES "(GNU|Clang)")
  add_compile_options(-Wall -Wextra -Wconversion)
endif()

set(THIS_PACKAGE_INCLUDE_DEPENDS
  control_msgs
  lifecycle_msgs
  pluginlib
  rclcpp_lifecycle
  rcpputils
  rcutils
  TinyXML2
  tinyxml2_vendor
)

find_package(ament_cmake REQUIRED)
foreach(Dependency IN ITEMS ${THIS_PACKAGE_INCLUDE_DEPENDS})
  find_package(${Dependency} REQUIRED)
endforeach()

add_library(hardware_interface SHARED
  src/actuator.cpp
  src/component_parser.cpp
  src/resource_manager.cpp
  src/sensor.cpp
  src/system.cpp
)
target_compile_features(hardware_interface PUBLIC cxx_std_17)
target_include_directories(hardware_interface PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/hardware_interface>
)
ament_target_dependencies(hardware_interface PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(hardware_interface PRIVATE "HARDWARE_INTERFACE_BUILDING_DLL")

add_library(mock_components SHARED
  src/mock_components/generic_system.cpp
)
target_compile_features(mock_components PUBLIC cxx_std_17)
target_include_directories(mock_components PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/hardware_interface>
)
ament_target_dependencies(mock_components PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(mock_components PRIVATE "HARDWARE_INTERFACE_BUILDING_DLL")

pluginlib_export_plugin_description_file(
  hardware_interface mock_components_plugin_description.xml)

add_library(fake_components SHARED
  src/mock_components/generic_system.cpp
  src/mock_components/fake_generic_system.cpp
)
target_compile_features(fake_components PUBLIC cxx_std_17)
target_include_directories(fake_components PUBLIC
  $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/hardware_interface>
)
ament_target_dependencies(fake_components PUBLIC ${THIS_PACKAGE_INCLUDE_DEPENDS})
# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(fake_components PRIVATE "HARDWARE_INTERFACE_BUILDING_DLL")

pluginlib_export_plugin_description_file(
  hardware_interface fake_components_plugin_description.xml)

if(BUILD_TESTING)

  find_package(ament_cmake_gmock REQUIRED)
  find_package(ros2_control_test_assets REQUIRED)

  ament_add_gmock(test_macros test/test_macros.cpp)
  target_include_directories(test_macros PRIVATE include)
  ament_target_dependencies(test_macros rcpputils)

  ament_add_gmock(test_inst_hardwares test/test_inst_hardwares.cpp)
  target_link_libraries(test_inst_hardwares hardware_interface)
  ament_target_dependencies(test_inst_hardwares rcpputils)

  ament_add_gmock(test_joint_handle test/test_handle.cpp)
  target_link_libraries(test_joint_handle hardware_interface)
  ament_target_dependencies(test_joint_handle rcpputils)

  ament_add_gmock(test_component_interfaces test/test_component_interfaces.cpp)
  target_link_libraries(test_component_interfaces hardware_interface)

  ament_add_gmock(test_component_parser test/test_component_parser.cpp)
  target_link_libraries(test_component_parser hardware_interface)
  ament_target_dependencies(test_component_parser ros2_control_test_assets)

  add_library(test_components SHARED
    test/test_components/test_actuator.cpp
    test/test_components/test_sensor.cpp
    test/test_components/test_system.cpp)
  target_link_libraries(test_components hardware_interface)
  ament_target_dependencies(test_components
    pluginlib)
  install(TARGETS test_components
    DESTINATION lib
  )
  pluginlib_export_plugin_description_file(
    hardware_interface test/test_components/test_components.xml)

  add_library(test_hardware_components SHARED
  test/test_hardware_components/test_single_joint_actuator.cpp
  test/test_hardware_components/test_force_torque_sensor.cpp
  test/test_hardware_components/test_two_joint_system.cpp
  test/test_hardware_components/test_system_with_command_modes.cpp
  )
  target_link_libraries(test_hardware_components hardware_interface)
  ament_target_dependencies(test_hardware_components
    pluginlib)
  install(TARGETS test_hardware_components
    DESTINATION lib
  )
  pluginlib_export_plugin_description_file(
    hardware_interface test/test_hardware_components/test_hardware_components.xml
  )

  ament_add_gmock(test_resource_manager test/test_resource_manager.cpp)
  target_link_libraries(test_resource_manager hardware_interface)
  ament_target_dependencies(test_resource_manager ros2_control_test_assets)

  ament_add_gmock(test_generic_system test/mock_components/test_generic_system.cpp)
  target_include_directories(test_generic_system PRIVATE include)
  target_link_libraries(test_generic_system hardware_interface)
  ament_target_dependencies(test_generic_system
    pluginlib
    ros2_control_test_assets
  )
endif()

install(
  DIRECTORY include/
  DESTINATION include/hardware_interface
)
install(
  TARGETS
    fake_components
    mock_components
    hardware_interface
  EXPORT export_hardware_interface
  RUNTIME DESTINATION bin
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
)

ament_export_targets(export_hardware_interface HAS_LIBRARY_TARGET)
ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_package()

=== debian/changelog ===
ros-rolling-hardware-interface (3.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.17.0-1jammy) jammy; urgency=high

  * Add checks if hardware is initialized. (#1054 <https://github.com/ros-controls/ros2_control/issues/1054>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.15.0-1jammy) jammy; urgency=high

  * Enable setting of initial state in HW compoments (#1046 <https://github.com/ros-controls/ros2_control/issues/1046>)
  * Ensure instantiation of hardware classes work for python bindings (#1058 <https://github.com/ros-controls/ros2_control/issues/1058>)
  * Contributors: Dr. Denis, Olivier Stasse

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.14.0-1jammy) jammy; urgency=high

  * Add -Wconversion flag to protect future developments (#1053 <https://github.com/ros-controls/ros2_control/issues/1053>)
  * [CM] Use robot_description topic instead of parameter and don't crash on empty URDF 🦿 (#940 <https://github.com/ros-controls/ros2_control/issues/940>)
  * [MockHardware] Enable disabling of command to simulate HW failures. (#1027 <https://github.com/ros-controls/ros2_control/issues/1027>)
  * enable ReflowComments to also use ColumnLimit on comments (#1037 <https://github.com/ros-controls/ros2_control/issues/1037>)
  * Docs: Use branch name substitution for all links (#1031 <https://github.com/ros-controls/ros2_control/issues/1031>)
  * [URDF Parser] Allow empty urdf tag, e.g., parameter (#1017 <https://github.com/ros-controls/ros2_control/issues/1017>)
  * Use consequently 'mock' instead of 'fake'. (#1026 <https://github.com/ros-controls/ros2_control/issues/1026>)
  * Contributors: Christoph Fröhlich, Dr. Denis, Felix Exner (fexner), Manuel Muth, Sai Kishor Kothakota, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.13.0-1jammy) jammy; urgency=high

  * Add class for thread management of async hw interfaces (#981 <https://github.com/ros-controls/ros2_control/issues/981>)
  * Fix github links on control.ros.org (#1019 <https://github.com/ros-controls/ros2_control/issues/1019>)
  * Update precommit libraries(#1020 <https://github.com/ros-controls/ros2_control/issues/1020>)
  * Implement parse_bool and refactor a few (#1014 <https://github.com/ros-controls/ros2_control/issues/1014>)
  * docs: Fix link to hardware_components (#1009 <https://github.com/ros-controls/ros2_control/issues/1009>)
  * Contributors: Alejandro Bordallo, Christoph Fröhlich, Felix Exner (fexner), Márk Szitanics, mosfet80

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 17 May 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.12.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.11.0-1jammy) jammy; urgency=high

  * Check for missing hardware interfaces that use the gpio tag. (#975 <https://github.com/ros-controls/ros2_control/issues/975>)
  * Contributors: Ryan Sandzimier

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Mar 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.10.0-1jammy) jammy; urgency=high

  * Split transmission interfaces (#938 <https://github.com/ros-controls/ros2_control/issues/938>)
  * Contributors: Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Mar 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.9.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.8.0-1jammy) jammy; urgency=high

  * Fix CMake install so overriding works (#926 <https://github.com/ros-controls/ros2_control/issues/926>)
  * Async params (#927 <https://github.com/ros-controls/ros2_control/issues/927>)
  * Contributors: Márk Szitanics, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.7.0-1jammy) jammy; urgency=high

  * Make double parsing locale independent (#921 <https://github.com/ros-controls/ros2_control/issues/921>)
  * Contributors: Henning Kayser

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.6.0-1jammy) jammy; urgency=high

  * 🔧 Fixes and updated on pre-commit hooks and their action (#890 <https://github.com/ros-controls/ros2_control/issues/890>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.5.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.5.0-1jammy) jammy; urgency=high

  * ResourceManager doesn't always log an error on shutdown anymore (#867 <https://github.com/ros-controls/ros2_control/issues/867>)
  * Rename class type to plugin name #api-breaking #abi-breaking (#780 <https://github.com/ros-controls/ros2_control/issues/780>)
  * Contributors: Bence Magyar, Christopher Wecht



=== debian/control ===
Source: ros-rolling-hardware-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-control-msgs, ros-rolling-lifecycle-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-control-msgs, ros-rolling-lifecycle-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
Description: ros2_control hardware interface

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
